Subject: [PATCH v8 00/15] ACPI platform MSI support and its example mbigen

From: [email-masked] (Sinan Kaya)
Date: Fri, 3 Feb 2017 10:35:08 -0500

On 2/3/2017 10:11 AM, Marc Zyngier wrote:
> On 03/02/17 14:50, Sinan Kaya wrote:
>> On 1/18/2017 7:54 AM, Hanjun Guo wrote:
>>> From: Hanjun Guo <[email-masked]>
>>>
>>> With platform msi support landed in the kernel, and the introduction
>>> of IORT for GICv3 ITS (PCI MSI) and SMMU, the framework for platform msi
>>> is ready, this patch set add few patches to enable the ACPI platform
>>> msi support.
>>>
>>> For platform device connecting to ITS on arm platform, we have IORT
>>> table with the named componant node to describe the mappings of paltform
>>> device and ITS, so we can retrieve the dev id and find its parent
>>> irqdomain (ITS) from IORT table (simlar with the ACPI ITS support).
>>>
>>
>> I understand that there is a consensus on IORT/SMMUv3 specific pieces
>> of this series while there is some ongoing work on the MBIgen part in
>> due to dependency on Agustin's patch vs. ACPI definitions.
>>
>> Can we merge the IORT/SMMUv3 specific pieces to 4.11 so that the base
>> implementation comes in place?
> 
> Sorry, but I may be missing something. Which IORT/SMMUv3 patches are we
> talking about? Do you have a pointer to a series?
> 

I was talking about patches V8 00-12 of this particular one. 

[PATCH v8 00/15] ACPI platform MSI support and its example mbigen

Patches 13-15 are specific for MBIGEN. 00-12 are for the base functionality.

> Thanks,
> 	M.

-- 
Sinan Kaya
Qualcomm Datacenter Technologies, Inc. as an affiliate of Qualcomm Technologies, Inc.
Qualcomm Technologies, Inc. is a member of the Code Aurora Forum, a Linux Foundation Collaborative Project.